OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.PresentVideo

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVPresentVideo :: MonadIO m => m Bool
- gl_NV_present_video :: Bool
- gl_CURRENT_TIME_NV :: GLenum
- gl_FIELDS_NV :: GLenum
- gl_FRAME_NV :: GLenum
- gl_NUM_FILL_STREAMS_NV :: GLenum
- gl_PRESENT_DURATION_NV :: GLenum
- gl_PRESENT_TIME_NV :: GLenum
- glGetVideoi64vNV :: MonadIO m => GLuint -> GLenum -> Ptr GLint64EXT -> m ()
- glGetVideoivNV :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVideoui64vNV :: MonadIO m => GLuint -> GLenum -> Ptr GLuint64EXT -> m ()
- glGetVideouivNV :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glPresentFrameDualFillNV :: MonadIO m => GLuint -> GLuint64EXT -> GLuint -> GLuint -> GLenum -> GLenum -> GLuint -> GLenum -> GLuint -> GLenum -> GLuint -> GLenum -> GLuint -> m ()
- glPresentFrameKeyedNV :: MonadIO m => GLuint -> GLuint64EXT -> GLuint -> GLuint -> GLenum -> GLenum -> GLuint -> GLuint -> GLenum -> GLuint -> GLuint -> m ()

# Extension Support

glGetNVPresentVideo :: MonadIO m => m Bool

Is the NV_present_video extension supported?

gl_NV_present_video :: Bool

Is the NV_present_video extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVPresentVideo` in those cases instead.

# Enums

gl_CURRENT_TIME_NV :: GLenum

gl_FIELDS_NV :: GLenum

gl_FRAME_NV :: GLenum

gl_NUM_FILL_STREAMS_NV :: GLenum

gl_PRESENT_DURATION_NV :: GLenum

gl_PRESENT_TIME_NV :: GLenum

# Functions

glGetVideoi64vNV

Arguments

:: MonadIO m |
=> GLuint | `video_slot`.
-> GLenum | `pname`.
-> Ptr GLint64EXT | `params` pointing to `COMPSIZE(pname)` elements of type `GLint64EXT`.
-> m () |

glGetVideoivNV

Arguments

:: MonadIO m |
=> GLuint | `video_slot`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetVideoui64vNV

Arguments

:: MonadIO m |
=> GLuint | `video_slot`.
-> GLenum | `pname`.
-> Ptr GLuint64EXT | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint64EXT`.
-> m () |

glGetVideouivNV

Arguments

:: MonadIO m |
=> GLuint | `video_slot`.
-> GLenum | `pname`.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

glPresentFrameDualFillNV

Arguments

:: MonadIO m |
=> GLuint | `video_slot`.
-> GLuint64EXT | `minPresentTime`.
-> GLuint | `beginPresentTimeId`.
-> GLuint | `presentDurationId`.
-> GLenum | `type`.
-> GLenum | `target0`.
-> GLuint | `fill0`.
-> GLenum | `target1`.
-> GLuint | `fill1`.
-> GLenum | `target2`.
-> GLuint | `fill2`.
-> GLenum | `target3`.
-> GLuint | `fill3`.
-> m () |

glPresentFrameKeyedNV

Arguments

:: MonadIO m |
=> GLuint | `video_slot`.
-> GLuint64EXT | `minPresentTime`.
-> GLuint | `beginPresentTimeId`.
-> GLuint | `presentDurationId`.
-> GLenum | `type`.
-> GLenum | `target0`.
-> GLuint | `fill0`.
-> GLuint | `key0`.
-> GLenum | `target1`.
-> GLuint | `fill1`.
-> GLuint | `key1`.
-> m () |